<template>
  <div
    id="cesiumContainer"
    class="cesiumContainer"
  >

  </div>
</template>

<script lang="ts" setup>
import InitMap from "@/assets/js/Map/index.js";
import {
  ref,
  onMounted,
  onBeforeUnmount,
  reactive,
  defineProps,
  defineEmits,
  nextTick,
} from "vue";
import store from "@/store";
let map;
var viewer;
const init = () => {
  viewer = InitMap.Viewer;
  map = InitMap.sgworld;
  //   store.state.restLayer = true;
};
onMounted(() => {
  InitMap.init3DMap();
  init();

  window.setMouseMove(true);
});
</script>

<style  lang="less" scoped>
.cesiumContainer {
  width: 100%;
  height: 100%;
  margin: 0;
  padding: 0;
  position: absolute;
}
</style>